Skip to main content
GET
/
v1
/
threads
/
{thread_id}
/
runs
List runs
curl --request GET \
  --url https://flow.seekr.com/v1/threads/{thread_id}/runs \
  --header 'Authorization: <api-key>'
[
  {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "agent_id": "<string>",
    "thread_id": "<string>",
    "model": "<string>",
    "temperature": 123,
    "top_p": 123,
    "parallel_tool_calls": true,
    "object": "thread.run",
    "is_active": false,
    "started_at": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z",
    "cancelled_at": "2023-11-07T05:31:56Z",
    "failed_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "instructions": "<string>",
    "tools": [
      {}
    ],
    "meta_data": {},
    "usage": {
      "prompt_tokens": 123,
      "completion_tokens": 123,
      "total_tokens": 123
    },
    "max_completion_tokens": 123,
    "truncation_strategy": {},
    "response_format": "auto",
    "tool_choice": "auto"
  }
]

Authorizations

Authorization
string
header
required

Authorization Bearer Token

Headers

x-team-id
string | null

Path Parameters

thread_id
string
required

Query Parameters

limit
integer
default:20
Required range: x >= 0
order
enum<string>
default:desc

Options for order query param in list endpoints.

Available options:
asc,
desc
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

id
string
required
created_at
string<date-time>
required
agent_id
string
required
thread_id
string
required
status
enum<string>
required

Available status for a run.

Available options:
queued,
running,
completed,
failed,
canceled,
cancelled
model
string
required
temperature
number
required
top_p
number
required
parallel_tool_calls
boolean
required
object
string
default:thread.run
is_active
boolean
default:false
started_at
string<date-time> | null
expires_at
string<date-time> | null
cancelled_at
string<date-time> | null
failed_at
string<date-time> | null
completed_at
string<date-time> | null
instructions
string | null
tools
Tools · object[]
meta_data
Meta Data · object
usage
RunUsage · object

Aggregated usage metrics for a complete run execution.

Tracks token consumption for both prompts and completions.

max_completion_tokens
integer | null
truncation_strategy
Truncation Strategy · object
response_format
default:auto
tool_choice
default:auto
Last modified on June 18, 2026